Bug Hunting Session
Bug 100074 - Wrong font and font size in file read in docx format
Summary: Wrong font and font size in file read in docx format
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium normal
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard: target:6.3.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Character
  Show dependency treegraph
 
Reported: 2016-05-26 20:00 UTC by Oliver Sander
Modified: 2019-09-11 08:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The docx file in question (83.83 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-05-26 20:00 UTC, Oliver Sander
Details
The document as shown by MSOffice 2010 (60.80 KB, application/pdf)
2016-05-26 20:00 UTC, Oliver Sander
Details
The document as shown by LibreOffice 5.1.3 (97.51 KB, application/pdf)
2016-05-26 20:00 UTC, Oliver Sander
Details
Minimal reproducer (54.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-08-11 07:46 UTC, Thorsten Behrens (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Sander 2016-05-26 20:00:10 UTC
Created attachment 125308 [details]
The docx file in question

I have a letter template from my university administration in docx format, which looks slightly different in MSOffice 2010 and LibreOffice 5.1.3.  In particular, there are three blocks of text on the bottom of the page specifying visitor addresses etc.  The font used for the third column is wrong.

Example documents are attached.  The document actually shows four different problems; I will open separate bugs for the other three.

Thanks for your consideration.
Comment 1 Oliver Sander 2016-05-26 20:00:30 UTC
Created attachment 125309 [details]
The document as shown by MSOffice 2010
Comment 2 Oliver Sander 2016-05-26 20:00:55 UTC
Created attachment 125310 [details]
The document as shown by LibreOffice 5.1.3
Comment 3 Buovjaga 2016-05-27 15:04:59 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 60041cb237ea73c2c1885dd6afd99d88780c2dfc
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on May 26th 2016
Comment 4 Oliver Sander 2016-10-21 17:59:59 UTC
Reproduced in

LibreOfficeDev 5.3.0.0.alpha1 f4ca1573fcf445164c068c1046ab5d084e1b005f
Debian Testing / Mate Desktop
Comment 5 Thorsten Behrens (CIB) 2017-08-11 07:46:06 UTC
Created attachment 135445 [details]
Minimal reproducer

Problem is a wpg:wgp group in the footer - test doc includes only that one, w/o the mc:choice around it.
Comment 6 Thorsten Behrens (CIB) 2017-08-11 07:50:17 UTC
some work in progress patch in gerrit: https://gerrit.libreoffice.org/41008 - need to move text handling from oox to writerfilter, first cut.
Comment 7 Xisco Faulí 2017-11-10 08:07:33 UTC Comment hidden (obsolete)
Comment 8 Thorsten Behrens (CIB) 2018-10-01 01:25:55 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2019-01-01 19:30:11 UTC Comment hidden (obsolete)
Comment 10 Commit Notification 2019-01-07 16:50:45 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3272c1eb5563f3bda2caa24f32b1018372622109%5E%21

related tdf#100074: prepare group shapes text input via writerfilter

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Thorsten Behrens (CIB) 2019-01-08 15:33:22 UTC
Current state: what's in master now lays the ground work for getting Writer text frames to be used for in-group shapes. Switching that on now is rather easy, c.f.

https://gerrit.libreoffice.org/#/c/41008/20

, just that it currently only works for a _single_ child shape containing text.
Comment 12 Timur 2019-09-11 08:07:57 UTC
(In reply to Oliver Sander from comment #0)
> The document actually shows four different problems; I will open separate bugs 
I see it done but not added to See also, I do it now.